package net.mysoftworks.modulecompiler.model;


import net.mysoftworks.modulecompiler.model.meta.MetaListField;

import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

/**
 * MetaGruppo generated by hbm2java
 */
@Entity
@Table(name="MC_M_ALLOWED_VALUE")
public class AllowedValue implements java.io.Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue( strategy = GenerationType.IDENTITY)
	private Long id;

	private String codice;
	private String descrizione;
	public AllowedValue() {}

	public AllowedValue(String codice, String descrizione) {
		this.codice = codice;
		this.descrizione = descrizione;
	}
	@Column(name = "ID_FIELD",insertable = false,updatable = false)
	private Long idField;

	@ManyToOne()
	@JoinColumn(name = "ID_FIELD")
	private MetaListField field;

	public MetaListField getField() {
		return field;
	}

	public void setField(MetaListField field) {
		this.field = field;
	}

	public Long getIdField() {
		return idField;
	}

	public void setIdField(Long idField) {
		this.idField = idField;
	}

	public String getCodice() {
		return codice;
	}

	public void setCodice(String codice) {

		if (codice==null) throw new RuntimeException("Codice null");
		this.codice = codice;
	}

	public String getDescrizione() {
		return descrizione;
	}

	public void setDescrizione(String descrizione) {
		this.descrizione = descrizione;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	@Override
	public String toString() {
		final StringBuilder sb = new StringBuilder("AllowedValue{");
		sb.append("id=").append(id);
		sb.append(", codice='").append(codice).append('\'');
		sb.append(", descrizione='").append(descrizione).append('\'');
		sb.append('}');
		return sb.toString();
	}
}
